List virtual GPU clusters
curl --request GET \
--url https://api.gcore.com/cloud/v3/gpu/virtual/{project_id}/{region_id}/clusters \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/cloud/v3/gpu/virtual/{project_id}/{region_id}/clusters"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cloud/v3/gpu/virtual/{project_id}/{region_id}/clusters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 1,
"results": [
{
"created_at": "2024-12-31T23:59:59Z",
"flavor": "g3-ai-32-192-1500-l40s-48-1",
"has_pending_changes": false,
"id": "1aaaab48-10d0-46d9-80cc-85209284ceb4",
"name": "my virtual gpu cluster",
"servers_count": 2,
"servers_ids": [
"b4522653-fbcd-44a0-a949-541570a52281",
"e56192de-ed28-452a-b775-eeeacc795e3b"
],
"servers_settings": {
"file_shares": [
{
"id": "a3f2d1b8-45e6-4f8a-bb5d-19dbf2cd7e9a",
"mount_path": "/mnt/vast"
}
],
"interfaces": [
{
"ip_family": "ipv4",
"name": "eth0",
"security_groups": [
{
"id": "ae74714c-c380-48b4-87f8-758d656cdad6",
"name": "default"
}
],
"type": "<string>"
}
],
"security_groups": [
{
"id": "ae74714c-c380-48b4-87f8-758d656cdad6",
"name": "default"
}
],
"ssh_key_name": "my-ssh-key",
"user_data": "eyJ0ZXN0IjogImRhdGEifQ==",
"volumes": [
{
"boot_index": 1,
"delete_on_termination": true,
"image_id": "3793c250-0b3b-4678-bab3-e11afbc29657",
"name": "my-data-disk",
"size": 100,
"tags": [
{
"key": "my-tag",
"read_only": false,
"value": "my-tag-value"
}
]
}
]
},
"tags": [
{
"key": "my-tag",
"read_only": false,
"value": "my-tag-value"
}
],
"updated_at": "2025-01-11T23:59:59Z"
}
]
}GPU Virtual
List virtual GPU clusters
List all virtual GPU clusters in the specified project and region.
GET
/
cloud
/
v3
/
gpu
/
virtual
/
{project_id}
/
{region_id}
/
clusters
List virtual GPU clusters
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
Project ID
Example:
1
Region ID
Example:
7
Query Parameters
Limit of items on a single page
Required range:
x <= 1000Example:
10
Offset in results list
Required range:
x >= 0Example:
0
Was this page helpful?
⌘I